package sgc.portal.cs.cscom.service;

import org.springframework.stereotype.Service;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cs.cscom.dto.CSCOMSearch;
import sgc.portal.cs.cscom.persistence.CSCOMMapper;
import sgc.portal.cs.cspop.dto.CSPOPSearch;

import java.util.List;

@Service
public class CSCOMService {
    private final CSCOMMapper mapper;

    public CSCOMService(CSCOMMapper mapper) {
        this.mapper = mapper;
    }
    
    //위치
    public List<EasyHashMap<String, Object>> getComboLoc(CSCOMSearch search) {
        return mapper.getComboLoc(search);
    }
    
    //현장별대공종
    public List<EasyHashMap<String, Object>> getComboLjob(CSCOMSearch search) {
        return mapper.getComboLjob(search);
    }
    
    //현장별하자공종
    public List<EasyHashMap<String, Object>> getComboJob(CSCOMSearch search) {
        return mapper.getComboJob(search);
    }
    
    //하자원인
    public List<EasyHashMap<String, Object>> getComboCaus(CSCOMSearch search) {
        return mapper.getComboCaus(search);
    }
    
    //하자유형
    public List<EasyHashMap<String, Object>> getComboType(CSCOMSearch search) {
        return mapper.getComboType(search);
    }
    
    //위치(현장)
    public List<EasyHashMap<String, Object>> getComboSiteLoc(CSCOMSearch search) {
        return mapper.getComboSiteLoc(search);
    }
    
    //현장별대공종(현장)
    public List<EasyHashMap<String, Object>> getComboSiteLjob(CSCOMSearch search) {
        return mapper.getComboSiteLjob(search);
    }
    
    //현장별하자공종(현장)
    public List<EasyHashMap<String, Object>> getComboSiteJob(CSCOMSearch search) {
        return mapper.getComboSiteJob(search);
    }
    
    //하자원인(현장)
    public List<EasyHashMap<String, Object>> getComboSiteCaus(CSCOMSearch search) {
        return mapper.getComboSiteCaus(search);
    }
    
    //하자유형(현장)
    public List<EasyHashMap<String, Object>> getComboSiteType(CSCOMSearch search) {
        return mapper.getComboSiteType(search);
    }
    
    //현장별 동(현장)
    public List<EasyHashMap<String, Object>> getComboSiteDong(CSCOMSearch search) {
        return mapper.getComboSiteDong(search);
    }
    
    //현장별 호수(현장)
    public List<EasyHashMap<String, Object>> getComboSiteHo(CSCOMSearch search) {
        return mapper.getComboSiteHo(search);
    }
    
    //현장별 동 호수 정보(현장)
    public List<EasyHashMap<String, Object>> getComboSiteInfo(CSCOMSearch search) {
        return mapper.getComboSiteInfo(search);
    }
    
    //회사직영AS사업자번호
    public List<EasyHashMap<String, Object>> getCovendInfo(CSCOMSearch search) {
        return mapper.getCovendInfo(search);
    }
}
